Refresh CVM instance ID
curl --request PATCH \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/instance-id \
--header 'Content-Type: application/json' \
--data '
{
"overwrite": false,
"dry_run": false
}
'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/instance-id"
payload = {
"overwrite": False,
"dry_run": False
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({overwrite: false, dry_run: false})
};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/instance-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cvm_id": 123,
"identifier": "<string>",
"old_instance_id": "<string>",
"new_instance_id": "<string>",
"source": "none",
"verified_with_gateway": false,
"reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Refresh CVM instance ID
Resolve and persist instance_id for a CVM. Default behavior only backfills missing values.
PATCH
/
api
/
v1
/
cvms
/
{cvm_id}
/
instance-id
Refresh CVM instance ID
Path Parameters
Body
application/json
Response
Successful Response
Available options:
updated, unchanged, skipped, conflict, error Available options:
teepod_state, teepod_info, gateway, none Was this page helpful?
⌘I

